<template>
  <router-view/>

  <!-- Alert -->
  <Alert :message="$store.state.messageAlert" :error="$store.state.errorAlert" v-if="$store.state.alert"/>

  <!-- Modal -->
  <ModalNewRoom />
  <ModalNewReservation />
  <ModalNewCheckin />
  <ModalNewCheckout />
</template>

<script>
import Alert from './components/Alert.vue'

import ModalNewRoom from './components/ModalNewRoom.vue'
import ModalNewReservation from './components/ModalNewReservation.vue'
import ModalNewCheckin from './components/ModalNewCheckin.vue'
import ModalNewCheckout from './components/ModalNewCheckout.vue'

export default {
  name: 'App',
  components: {
    Alert,
    ModalNewRoom,
    ModalNewReservation,
    ModalNewCheckin,
    ModalNewCheckout
  }
}
</script>

<style>
@import url("@/assets/css/style.css");
@import url('https://fonts.googleapis.com/css2?family=Inter:wght@100;200;300;400;500;600;700;800;900&family=Josefin+Sans:wght@400;500;600;700&family=Oswald:wght@400;500;600;700&display=swap');

#app {
  height: 100vh;
}
</style>
